
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux防火墙基础知识以及如何管理设置iptables规则 / iVAN</title>

    <meta name="description" content="linux防火墙基础知识以及如何管理设置iptables规则 一.linux防火墙基础 防火墙分为硬件防火墙和软件防火墙. 1.概述 linux 防火墙体系主要工作在网络层,针对TCP/IP数据包实施过滤和限制,属于典型的包过滤防火墙. 包过滤机制:netfilter 管理防火墙规则命令工具:iptables netfilter 指linux内核中实现包过滤防火墙的内部结构,不依程序或文件的形式存在,属于&quot;内核态&quot;的防火墙功能体系 iptables 指管理linux防火墙的命令工具,属于&quot;用户态&quot;的防火墙管理体系 2 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux防火墙基础知识以及如何管理设置iptables规则</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、linux防火墙基础</p>
<p>防火墙分为硬件防火墙和软件防火墙。</p>
<p>1.概述</p>
<p>linux 防火墙体系主要工作在网络层，针对TCP/IP数据包实施过滤和限制，属于典型的包过滤防火墙。</p>
<p>包过滤机制：netfilter</p>
<p>管理防火墙规则命令工具：iptables</p>
<p>netfilter 指linux内核中实现包过滤防火墙的内部结构，不依程序或文件的形式存在，属于“内核态”的防火墙功能体系</p>
<p>iptables 指管理linux防火墙的命令工具，属于“用户态”的防火墙管理体系</p>
<p>2.iptables的规则表、链结构</p>
<p>iptables的作用在于为包过滤机制的实现提供规则，通过不同的规则作出不同的反应.</p>
<p>iptables管理4个表、以及他们的规则链</p>
<p>filter,用于路由网络数据包。</p>
<p>INPUT 网络数据包流向服务器</p>
<p>OUTPUT 网络数据包从服务器流出</p>
<p>FORWARD 网络数据包经服务器路由</p>
<p>nat,用于NAT表.NAT(Net Address Translation )是一种IP地址转换方法。</p>
<p>PREROUTING 网络数据包到达服务器时可以被修改</p>
<p>POSTROUTING 网络数据包在即将从服务器发出时可以被修改</p>
<p>OUTPUT 网络数据包流出服务器</p>
<p>mangle,用于修改网络数据包的表，如TOS(Type Of Service),TTL(Time To Live),等</p>
<p>INPUT 网络数据包流向服务器</p>
<p>OUTPUT 网络数据包流出服务器</p>
<p>FORWARD 网络数据包经由服务器转发</p>
<p>PREROUTING 网络数据包到达服务器时可以被修改</p>
<p>POSTROUTING 网络数据包在即将从服务器发出时可以被修改</p>
<p>raw, 用于决定数据包是否被跟踪机制处理</p>
<p>OUTPUT 网络数据包流出服务器</p>
<p>PREROUTING 网络数据包到达服务器时可以被修改</p>
<p>3.数据包过滤匹配流程</p>
<p>1&gt;.规则表之间的优先顺序</p>
<p>依次应用：raw、mangle、nat、filter表</p>
<p>2&gt;.规则链之间的优先顺序</p>
<p>入站数据流向</p>
<p>转发数据流向</p>
<p>出站数据流向</p>
<p>3&gt;.规则链内部各条防火墙规则之间的优先顺序</p>
<p>二、管理和配置Iptables规则</p>
<p>1.iptables的基本语法格式</p>
<p>iptables [-t 表名] 命令选项 [链名] [条件匹配] [-] 目标动作或跳转</p>
<p>本文URL地址：http://www.bianceng.cn/OS/Linux/201410/45496.htm</p>
<p>表名链名用于指定iptables命令所做对象，未指定默认filter表，命令选项指于管理iptables规则的方式（插入、删除··）；条件匹配指定对条件的符合而处理；目标动作或跳转指定数据包的处理方式。</p>
<p>2.管理iptables规则</p>
<p>控制选项</p>
<p>-A 在链尾添加一条规则</p>
<p>　-D 从链中删除一条规则</p>
<p>-I 在链中插入一条规则</p>
<p>-R 修改、替换某链的某规则</p>
<p>-L 列出某个链上的规则</p>
<p>-F 清空链，删除链上的所有规则</p>
<p>-N 创建一个新链</p>
<p>-X 删除某个规则链</p>
<p>-P 定义某个链的默认策略</p>
<p> -n 数字形式显示结果</p>
<p>-v 查看规则列表详细信息</p>
<p>-V 查看iptables命令工具版本</p>
<p>-h 查看命令帮助信息</p>
<p>-line-numbers 查看规则列表，显示顺序号</p>
<p>增加、插入、删除和替换规则</p>
<p>相关规则定义的格式为：</p>
<p>iptables  [-t表名]  &lt;-A | I | D | R&gt; 链名 [规则编号] [-i | o 网卡名称] [-p 协议类型] [-s 源IP地址 | 源子网] [--sport 源端口号] [-d目标IP地址 | 目标子网] [--dport目标端口号] &lt;-j动作&gt;</p>
<p>参数说明如下。</p>
<p>[-t表名]：定义默认策略将应用于哪个表，可以使用filter、nat和mangle，如果没有指定使用哪个表，iptables就默认使用filter表。</p>
<p>-A：新增加一条规则，该规则将会增加到规则列表的最后一行，该参数不能使用规则编号。</p>
<p>-I：插入一条规则，原本该位置上的规则将会往后顺序移动，如果没有指定规则编号，则在第一条规则前插入。</p>
<p>-D：从规则列表中删除一条规则，可以输入完整规则，或直接指定规则编号加以删除。</p>
<p>-R：替换某条规则，规则被替换并不会改变顺序，必须要指定替换的规则编号。</p>
<p>&lt;链名&gt;：指定查看指定表中哪个链的规则列表，可以使用INPUT、OUTPUT、FORWARD、PREROUTING、OUTPUT和POSTROUTING。</p>
<p>[规则编号]：规则编号用于插入、删除和替换规则时用，编号是按照规则列表的顺序排列，规则列表中第一条规则的编号为1。</p>
<p>[-i | o 网卡名称]：i是指定数据包从哪块网卡进入，o是指定数据包从哪块网卡输出。网卡名称可以使用ppp0、eth0和eth1等。</p>
<p>[-p 协议类型]：可以指定规则应用的协议，包含TCP、UDP和ICMP等。</p>
<p>[-s 源IP地址 | 源子网]：源主机的IP地址或子网地址。</p>
<p>[--sport 源端口号]：数据包的IP的源端口号。</p>
<p>[-d目标IP地址 | 目标子网]：目标主机的IP地址或子网地址。</p>
<p>[--dport目标端口号]：数据包的IP的目标端口号。</p>
<p>&lt;-j动作&gt;：处理数据包的动作，各个动作的详细说明可以参考表10-3。</p>
<p>1&gt;.添加及插入规则</p>
<p>在Filter表的INPUT链的末尾添加一条防护墙规则</p>
<p>[root@s2 ~]# iptables -t filter -A INPUT -p tcp -j ACCEPT</p>
<p>在Filter表的INPUT链中插入一条防护墙规则</p>
<p>[root@s2 ~]# iptables -I INPUT -p udp -j ACCEPT</p>
<p>在在Filter表的INPUT链中插入一条防护墙规则（为链中第二条规则）</p>
<p>[root@s2 ~]# iptables -I INPUT 2 -p icmp -j ACCEPT</p>
<p>2&gt;.查看规则表</p>
<p>查看Filter表的INPUT链中的所有规则，同时显示顺序号</p>
<p>[root@s2 ~]# iptables -L INPUT --line-numbers</p>
<p>Chain INPUT (policy ACCEPT)</p>
<p>num  target     prot opt source               destination</p>
<p>1    ACCEPT     udp  --  anywhere             anywhere</p>
<p>2    ACCEPT     icmp --  anywhere             anywhere</p>
<p>3    REJECT     icmp --  anywhere             anywhere</p>
<p>查看filter表各链中所有规则的详细信息，以数字形式显示地址和端口信息</p>
<p>[root@s2 ~]# iptables -vnL</p>
<p>Chain INPUT (policy ACCEPT 0 packets, 0 bytes)</p>
<p>pkts bytes target     prot opt in     out     source               destination</p>
<p>1189  154K ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0</p>
<p>0     0 ACCEPT     icmp --  *      *       0.0.0.0/0            0.0.0.0/0</p>
<p>0     0 REJECT     icmp --  *      *       0.0.0.0/0            0.0.0.0/0           reject-with icmp-port-unreachable</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 03:58:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.iamivan.net/tag/%e9%98%b2%e7%81%ab%e5%a2%99/" title="防火墙">防火墙</a>, <a href="https://www.iamivan.net/tag/iptables/" title="iptables">iptables</a>, <a href="https://www.iamivan.net/tag/%e8%a7%84%e5%88%99/" title="规则">规则</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e8%a7%84%e5%88%99/" title="不规则">不规则</a>, <a href="https://www.iamivan.net/tag/cityengine-%e8%a7%84%e5%88%99%e5%8c%85/" title="cityengine 规则包">cityengine 规则包</a>, <a href="https://www.iamivan.net/tag/linux%e9%98%b2%e7%81%ab%e5%a2%99%e8%a7%84%e5%88%99/" title="linux防火墙规则">linux防火墙规则</a>, <a href="https://www.iamivan.net/tag/iptables%e9%98%b2%e7%81%ab%e5%a2%99%e8%a7%84%e5%88%99/" title="iptables防火墙规则">iptables防火墙规则</a>, <a href="https://www.iamivan.net/tag/%e8%a7%84%e5%88%99%e7%ba%a6%e7%ae%80/" title="规则约简">规则约简</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux防火墙基础知识以及如何管理设置iptables规则的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV01LVM.html" rel="bookmark">linux系统中查看己设置iptables规则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iptables是一个强大的Linux防火墙,使用频率极高.本文介绍如何查看iptables规则设置. 1.iptables -L 查看filter表的iptables规则,包括所有的链.filter表包含INPUT.OUTPUT.FORWARD三个规则链. 说明:-L是--list的简写,作用是列出规则. 2.iptables -L [-t 表名] 只查看某个表的中的规则. 说明:表名一个有三个:filter,nat,mangle,如果没有指定表名,则默认查看filter表的规则列表(就相当于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PXg8M.html" rel="bookmark">Linux系统管理基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.用户账号管理级 不管是Linux还是Windows,对于用户账号的管理都是重中之重,因为它是进入系统的第一道门,作为一个运维人员,必须掌握对用户账号的基本管理,什么样的用户账号有什么样的权限,不该有什么样的权限,这个要很明确的.当某个用户不应该再访问系统的时候,必须禁用该用户的账号.没有用的用户账号,他就没有存在的必要,否则可能会是你某天早上醒来会的第一个噩梦.当然,再删除账号以前,要将该用户账号下的所有文件进行备份并转移到其他位置. 学会在字符命令行下的用户账号管理,主要在Linux环境下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RJjkb.html" rel="bookmark">Linux操作系统基础知识之二：内存寻址</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        什么是物理地址?什么是虚地址?什么是线性地址? A: 1)        将主板上的物理内存条所提供的内存空间定义为物理内存空间,其中每个内存单元的实际地址就是物理地址: 2)        将应用程序员看到的内存空间定义为虚拟地址空间(或地址空间),其中的地址就叫做虚拟地址(或虚地址),一般用&quot;段:偏移量&quot;的形式来描述,如A815:CF2D: 3)        线性地址空间是指一段连续的.不分段的.范围为0~4GB的地址空间,一个线性地址就是线性地址空间的一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyenQZM.html" rel="bookmark">Linux操作系统基础知识之一：Linux操作系统概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Q1.        什么是GNU?Linux与GNU有什么关系? A: 1)        GNU是GNU is Not Unix的递归缩写,是自由软件基金会(Free Software Foundation,FSF)的一个项目,该项目已经开发了许多高质量的编程工具,包括emacs编辑器.著名的GNU C和C++编译器(gcc和g++): 2)        Linux的开发使用了许多GNU工具,Linux系统上用于实现POSIX.2标准的工具几乎都是由GNU项目开发的:Linux内核.GN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7AdVb.html" rel="bookmark">linux备份与恢复基础知识&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				unix系统为每个文件都记录这三个不同的时间,第一个是mtime,即修改时间.无论何时,只要文件内容被改变,mtime的值就会被相应修改.第二个是atime,即访问时间.只要文件被访问(比如运行或读取),它就会被修改.第三个是ctime,即变更时间.当文件的属性发生变化(比如改变权限或者所有关系)时,ctime的值就会被改变.管理员用ctime来查找黑客. 备份会改变atime,tar,cpio,dd都会这样做,dump通过原始设备来读取文件系统,因此它不 会改变atime. dump的语法.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YjY7p.html" rel="bookmark">Linux操作系统基础知识之三：进程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        程序与进程的概念分别是什么?为什么要引入&quot;进程&quot;的概念? A: 1)        程序是一个普通文件,是机器代码指令和数据的集合,这些指令和数据存储在磁盘上的一个可执行映像中,可执行映像(executable image)就是一个可执行文件的内容: 2)        进程代表程序的执行过程,它是一个动态的实体,随着程序中指令的执行而不断地变化,在某个时刻进程的内容被称为进程映像(process image): 3)        程序的执行过程可以说是一个执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQn36z.html" rel="bookmark">Linux操作系统基础知识之八：文件系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        Linux目录树结构是怎样的?它与Windows的目录树结构有什么区别?为什么Linux的文件系统采用固定的目录形式? A:文件是一个抽象的概念,它是存放一切数据或信息的仓库: 1)        Linux的目录树结构为:根目录(/)在上,其它的平行在下: 2)        Windows操作系统也是采用树型结构,但其树型结构的根是磁盘分区的盘符,有几个分区就有几个树型结构,它们之间的关系式并列的:而在Linux中,无论操作系统管理几个磁盘分区,这样的目录树只有一个:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0ZwN7z.html" rel="bookmark">Linux操作系统基础知识之九：设备驱动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        为什么把设备分为&quot;块设备&quot;和&quot;字符设备&quot;两大类? A: 1)        Linux将设备看成文件,具有三方面的含义:第一,每个设备都对应一个文件名,在内核中也就对应一个索引节点:第二,对文件操作的系统调用大都适用于设备文件:第三,从应用程序的角度看,设备文件的逻辑空间是一个线性空间:对于同一个具体的设备而言,文件操作和设备驱动是同一个事物的不同层次,概念上可以将一个系统划分为应用.文件系统和设备驱动三个层次: 2)        Linux			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQRDoM.html" rel="bookmark">防火墙基础知识与常见相关术语</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				防火墙英文名称为FireWall,是指位于计算机和它所连接的网络之间的硬件或软件,也可以位于两个或多个网络之间,比如局域网和互联网之间,网络之间的所有数据流都经过防火墙(见图).通过防火墙可以对网络之间的通讯进行扫描,关闭不安全的端口,阻止外来的DoS攻击,封锁特洛伊木马等,以保证网络和计算机的安全. 防火墙又大致分为硬件防火墙和软件防火墙:硬件防火墙是指把防火墙程序做到芯片里面,由硬件执行这些功能,能减少CPU的负担,使路由更稳定.硬件防火墙一般都有WAN.LAN和DMZ三个端口,还具有各种安			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvWL1p.html" rel="bookmark" class="title">触发器插入问题，急急急！！！！！！！！！</a>
					<div>
						问题描述 触发器插入问题,急急急!!!!!!!!! 有表test1(字段id,time),有表test2(字段id,time),如何写触发器将test1表中最新一条数据插入到表test2中 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDLRKz.html" rel="bookmark" class="title">关闭按钮点击事件的捕捉</a>
					<div>
						按钮 &lt;一&gt;只需要在你的页面中加入如下的脚本即可..function window.onbeforeunload(){     event.returnValue = &quot;the  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlG1Yb.html" rel="bookmark" class="title">正则表达式在线检测工具推荐</a>
					<div>
						正则表达式(Regular Expression)在web开发中的应用非常广泛,很多时候使用它会给开发带来极大的便利. 但是,正则表达式的编写和使用是个比较复杂的过程.很多时候,即使将表达式写出来了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zONdQp.html" rel="bookmark" class="title">关于制约着关键词排名因素的几点分析</a>
					<div>
						&quot;内容为王,链接为皇&quot;几乎每个站长都是这么认为的,当然这个也是当前的主流.那么直接影响着我们网站关键词排名的因素是哪些呢,今天arenw站长为大家收集了一些网络资源整理了一下,和大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKWO5b.html" rel="bookmark" class="title">解决安装Vista时无法选择或格式化硬盘分区的方法</a>
					<div>
						近来有朋友安装 Vista 时,遇到了无法选择或格式化硬盘分区的情况,基本是下列一种或多种症状: • 系统未列出要安装 Windows Vista 的硬盘. • 无法选择要安装 Windows Vis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWggrM.html" rel="bookmark" class="title">c&num;运算符as和is的用法</a>
					<div>
						as 运算符类似于类型转换,所不同的是,当转换失败时,as运算符将产生空,而不是引发异常.在形式上,这种形式的表达式: expression_r as type as运算符只执行引用转换和装箱转换.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEldaAz.html" rel="bookmark" class="title">php5的simplexml解析错误</a>
					<div>
						前阵子用simplexml来解析一个rss数据源,很轻松就获得了想要的结果.不想没几天就开始报错: Warning: simplexml_load_file() [function.simplexml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo65vEz.html" rel="bookmark" class="title">世界之窗浏览器如何设置兼容模式</a>
					<div>
						  世界之窗浏览器小巧快速的浏览器,在我们使用它的时候如果将其设置为兼容模式可能会为我们省掉很多麻烦.下面小编就告诉大家世界之窗浏览器怎么设置兼容模式. 其实设置很简单,大家也不要在浏览器的设置中找了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRyvOz.html" rel="bookmark" class="title">Win7安装SQL Server2008提示重启计算机失败的解决办法</a>
					<div>
						Win7安装SQL Server2008提示重启计算机失败的解决办法 1.同时按下Win7旗舰版电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,输入regedit并单击回车,这样就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWDkBb.html" rel="bookmark" class="title">百度识图插件怎么下载</a>
					<div>
						  百度识图 是百度推出一个很好的页面功能,现在就有百度识图的浏览器插件,方便使用. 百度识图插件是基于谷歌的Chrome浏览器的,能够随时截图和识图 首先我们打开谷歌的chrome浏览器,选择右侧的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Jnjp.html" rel="bookmark" class="title">c&plus;&plus;-OpenCV KeyPoint 位置 坐标 改变 错误</a>
					<div>
						问题描述 OpenCV KeyPoint 位置 坐标 改变 错误 KeyPoint 位置 坐标 错误 怎么改变 class Patch { public: Patch() :angle(0) { }  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZJqqz.html" rel="bookmark" class="title">Nginx 作为反向代理优化要点proxy&lowbar;buffering</a>
					<div>
						当nginx用于反向代理时,每个客户端将使用两个连接:一个用于响应客户端的请求,另一个用于到后端的访问: 那么,可以从如下配置起步: 1 2 3 4 5 6 7 8 9 10 11 12 13 14  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoOXjb.html" rel="bookmark" class="title">for-求大牛指教一个题！！！谢谢！</a>
					<div>
						问题描述 求大牛指教一个题!!!谢谢! 题目是这样的:输入一个正整数a和n,输出a+aa+aaa++++aaaaa(n个a)的和,以及输出a+aa+aaa++++++aaaaaa 可能描述的不够清楚, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAvxEM.html" rel="bookmark" class="title">开源在中国需要什么？</a>
					<div>
						GitCafe 的创始人 @ghosTM55 受邀在 Deepin Linux 用户和开发者大会上进行了发言,阐述了对于中国开源社区发展环境的一些看法.文章从教育和商业两个角度入手,阐述了对于开源社区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrZQGM.html" rel="bookmark" class="title">android-重新打开仿真器出现错误</a>
					<div>
						问题描述 重新打开仿真器出现错误 程序中出现了这样的错误: UNEXPECTED TOP-LEVEL EXCEPTION:java.lang.IllegalArgumentException: alr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRo4ap.html" rel="bookmark" class="title">12306网站&OpenCurlyDoubleQuote;不受信任&rdquo; 实为浏览器不认可其证书</a>
					<div>
						网购火车票总被浏览器屏蔽 网站SSL认证无强制规定原本每年只需要支付数千元就可以使用的国际标准网络安全SSL证书,不知何故,始终没能在12306上被使用.而根据&lt;IT时报&gt;记者的调查,12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjmjwM.html" rel="bookmark" class="title">江苏海门接待门局长被行政降职</a>
					<div>
						王培霖 江苏海门&quot;接待门&quot;事件随着一纸处罚暂告一段落.海门市审计局局长施平受到党内严重警告和行政降职处分,并被责令承担公车私用的相关费用. 调查过程是由江苏省审计厅.南通市审计局和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xd9Rb.html" rel="bookmark" class="title">ccessibility ervice-辅助服务  AccessibilityService 进入一个页面后，怎么回退</a>
					<div>
						问题描述 辅助服务 AccessibilityService 进入一个页面后,怎么回退 AccessibilityService 从A界面进如B页面后,怎么回退到B页面,遍历节点,找到退回ImageV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12LLrp.html" rel="bookmark" class="title">虚拟主机上云笔记（序言）</a>
					<div>
						为什么突然讲到虚拟主机上了呢?因为暂时不考虑用服务器.主要考虑如下.     虚拟主机的空间大小一般比服务器小许多.多数虚拟主机空间在1G左右就是上限,而服务器的话就比较大--服务器配置里的系统盘大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdynL3z.html" rel="bookmark" class="title">电子商务平台需要关照两类上帝的需求</a>
					<div>
						电子商务平台需要两类&quot;上帝&quot;的需求特别关照: 1. 单纯的来逛逛的上帝,假如碰到了促销.打折.降价等促销活动,就买否则就只是逛逛; 2. 就是来这买东西的, 看到喜欢就直接买,有促 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEW8eM.html" rel="bookmark" class="title">人民日报：调控经济不是从百姓兜里掏钱</a>
					<div>
						别总想着从百姓兜里掏钱 除了&quot;惩罚性&quot;的税费外,还应进一步增加&quot;奖励性&quot;的税费,让纳税人经常尝到&quot;反哺&quot;的甜头,提高&quot;税收幸福指数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAXkOb.html" rel="bookmark" class="title">互联网成为海南餐饮营销的双刃剑</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在位于海口市龙华区国贸繁华路段上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ne17z.html" rel="bookmark" class="title">明星与经纪人关系：从商业出发，以感情收场</a>
					<div>
						明星与经纪人之间,有的宾主尽欢,几十年相扶持:有的积怨重重,一朝各西东.资深经纪人karen曾告诉记者:经纪人与明星,往往是&quot;从商业出发,以感情收场.&quot;很难是一场纯粹理智的生意.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxElJmp.html" rel="bookmark" class="title">apache ant进行zip解压缩操作示例分享&lowbar;java</a>
					<div>
						需要导入ant.jar包,apache网站(http://ant.apache.org/bindownload.cgi)下载即可. 复制代码 代码如下: import java.io.Buffered ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qk0mp.html" rel="bookmark" class="title">CI（CodeIgniter）框架介绍&lowbar;php实例</a>
					<div>
						CodeIgniter 是一个应用程序框架 1.免费:CodeIgniter是经过Apache/BSD-style开源许可授权的,只要你愿意就可以使用它. 2.简单:CodeIgniter是真正的轻量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnV4Qp.html" rel="bookmark" class="title">中英文支持-你的程序做到了吗&quest;---不落伍的应用Struts 2 的国际化支持特性&lpar;7&rpar;</a>
					<div>
						4.3  Struts 2的国际化支持 前面已经介绍了Java国际化的原理和方法,读者知道,Java的国际化需要一个Locale和一个资源包就能够实现国际化.资源包可以是资源文件也可以是资源类文件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba633QM.html" rel="bookmark" class="title">asp 保存远程服务器图片到本地</a>
					<div>
						'================================================== '过程名:SaveRemoteFile '作 用:保存远程的文件到本地 '参 数:LocalFi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZXBBb.html" rel="bookmark" class="title">发贴实现-php手机论坛发贴！大神们救我</a>
					<div>
						问题描述 php手机论坛发贴!大神们救我 发贴该用什么方法去实现?单独发图会,但是图文要放一起还要编辑怎么做?求救 解决方案 现有的富文本编辑器都没有手机端的,貌似. 参考: http://www.b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA62Xep.html" rel="bookmark" class="title">看哈耶克如何论证基于行为事件的客户画像</a>
					<div>
						◆ ◆ ◆ 理论:哈耶克基于事件的统一意识表达框架 虽然业界的客户画像基本上都是基于标签体系,但是就如前些日子的百度世界大会上大力的推荐其&quot;千人千面&quot;客户画像能力,给用户打了60多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByy8kz.html" rel="bookmark" class="title">mysql数据库自增id重新从1排序的两种方法</a>
					<div>
						使用mysql时,通常表中会有一个自增的id字段,但当我们想将表中的数据清空重新添加数据时,希望id重新从1开始计数,用以下两种方法均可: 通常的设置自增字段的方法: 创建表格时添加: create  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
